#!/bin/bash

run_jlinkserver() {
	JLinkGDBServerCLExe -if SWD -device STM32H750VBTx \
		-ir -localhostonly -nogui \
		-rtos GDBServer/RTOSPlugin_FreeRTOS.so
}

run_openocd_stlink() {
	openocd -f "interface/stlink.cfg" -f "target/stm32h7x.cfg"
}

run_openocd_jlink() {
	openocd -f "interface/jlink.cfg" -c "transport select swd" -f "target/stm32h7x.cfg"
}

run_pyocd() {
	pyocd gdbserver -t stm32h750vbtx -f 24m --persist
}

case $1 in
	jlink)
		run_jlinkserver
		;;

	pyocd)
		run_pyocd
		;;

	openocd-stlink)
		run_openocd_stlink
		;;

	openocd-jlink)
		run_openocd_jlink
		;;

esac